org.eclipse.incquery.runtime.rete.network

## Class StandardNode

- java.lang.Object
- - org.eclipse.incquery.runtime.rete.network.BaseNode
  - - org.eclipse.incquery.runtime.rete.network.StandardNode

- All Implemented Interfaces:
    Node, Supplier
  Direct Known Subclasses:
    AggregatorNode, ConstantNode, DualInputNode, EClassUnaryInputNode, EStructuralFeatureBinaryInputNode, ExternalInputEnumeratorNode, SingleInputNode, UniquenessEnforcerNode

      public abstract class StandardNode
      extends BaseNode
      implements Supplier

  Base implementation for a supplier node.
  Author:
    Gabor Bergmann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardNode(ReteContainer reteContainer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendChild(Receiver receiver)` appends a receiver that will continously receive insert and revoke updates from this supplier
    `ProjectionIndexer` | `constructIndex(TupleMask mask, TraceInfo... traces)` Instantiates (or reuses, depending on implementation) an index according to the given mask.
    `java.util.Set<Tuple>` | `getPulledContents()` Returns the contents of this object in this particular moment.
    `java.util.Collection<Receiver>` | `getReceivers()` lists receivers
    `void` | `removeChild(Receiver receiver)` removes a receiver

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.network.BaseNode

      `acceptPropagatedTraceInfo, assignTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Supplier

      `pullInto`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Node

      `acceptPropagatedTraceInfo, assignTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag`

- - ### Constructor Detail

    - #### StandardNode

          public StandardNode(ReteContainer reteContainer)

  - ### Method Detail

    - #### appendChild

          public void appendChild(Receiver receiver)

      Description copied from interface: `Supplier`
      appends a receiver that will continously receive insert and revoke updates from this supplier
      Specified by:
        `appendChild` in interface `Supplier`

    - #### removeChild

          public void removeChild(Receiver receiver)

      Description copied from interface: `Supplier`
      removes a receiver
      Specified by:
        `removeChild` in interface `Supplier`

    - #### getReceivers

          public java.util.Collection<Receiver> getReceivers()

      Description copied from interface: `Supplier`
      lists receivers
      Specified by:
        `getReceivers` in interface `Supplier`

    - #### getPulledContents

          public java.util.Set<Tuple> getPulledContents()

      Description copied from interface: `Supplier`
      Returns the contents of this object in this particular moment. For memoryless nodes, this may involve a costly recomputation of contents.

      Intended mainly for debug purposes, therefore does not do flushing. During runtime, flushing may be preferred; see `ReteContainer.pullContents(Supplier)`

      Specified by:
        `getPulledContents` in interface `Supplier`

    - #### constructIndex

          public ProjectionIndexer constructIndex(TupleMask mask,
                                                  TraceInfo... traces)

      Description copied from interface: `Supplier`
      Instantiates (or reuses, depending on implementation) an index according to the given mask. Intended for internal use; clients should invoke through Library instead to enable reusing.
      Specified by:
        `constructIndex` in interface `Supplier`